<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * 
 */

?>

<!DOCTYPE html>
<html <?php language_attributes(); ?> data-fr-scheme="system">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta name="description" content="<?php if ( is_single() ) { single_post_title('', true);  } else { bloginfo('name'); echo " - "; bloginfo('description'); }?>">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<link rel="profile" href="https://gmpg.org/xfn/11">
<!--Ajout favicon-->
<link rel="apple-touch-icon" href="/wp-content/themes/wp-theme-etab/assets/css/favicon/apple-touch-icon.png"><!-- 180×180 -->
<link rel="icon" href="/wp-content/themes/wp-theme-etab/assets/css/favicon/favicon.svg" type="image/svg+xml">
<link rel="shortcut icon" href="/wp-content/themes/wp-theme-etab/assets/css/favicon/favicon.ico" type="image/x-icon"><!-- 32×32 -->
<link rel="manifest" href="/wp-content/themes/wp-theme-etab/assets/css/favicon/manifest.webmanifest" crossorigin="use-credentials">
<?php wp_head(); ?>
</head>

<div class="fr-skiplinks">
    <nav class="fr-container" role="navigation" aria-label="Accès rapide">
        <ul class="fr-skiplinks__list">
            <li>
                <a class="fr-btn" href="#contenu">Contenu</a>
            </li>
            <li>
                <a class="fr-btn" href="#header-navigation">Menu</a>
            </li>
            <li>
                <a class="fr-btn" href="#header-search">Recherche</a>
            </li>
            <li>
                <a class="fr-btn" href="#footer">Pied de page</a>
            </li>
        </ul>
    </nav>
</div>
<header role="banner" class="fr-header">
    <div class="fr-header__body">
        <div class="fr-container">
            <div class="fr-header__body-row">
                <div class="fr-header__brand fr-enlarge-link">
                    <div class="fr-header__brand-top">
                        <div class="fr-header__logo">
                            <p class="fr-logo">
                                Académie de
                                <br>Strasbourg
                            </p>
                        </div>
                        <div class="fr-header__navbar">
                            <button class="fr-btn--search fr-btn" data-fr-opened="false" aria-controls="modal-851" title="Rechercher">
                                Rechercher
                            </button>
                            <button class="fr-btn--menu fr-btn" data-fr-opened="false" aria-controls="modal-870" aria-haspopup="menu" title="Menu" id="fr-btn-menu-mobile-3">
                                Menu
                            </button>
                        </div>
                    </div>
                    <div class="fr-header__service">
                        <a href="/" title="<?php echo bloginfo('name'); ?>">
                            <p class="fr-header__service-title"><?php echo bloginfo('name'); ?></p>
                        </a>
                        <p class="fr-header__service-tagline"><?php echo bloginfo('description'); ?></p>
                    </div>
                </div>
                <div class="fr-header__tools">
                    <div class="fr-header__tools-links">
                        <ul class="fr-btns-group">
                            <?php
                                if (wpmem_login_url() && ! is_user_logged_in()){
                                    echo '<li><a class="fr-btn fr-fi-lock-line" href="' . wpmem_login_url() . '">Se connecter</a></li>';
                                }
                                elseif(wpmem_login_url() && is_user_logged_in()){
                                    echo '<li><a class="fr-btn fr-fi-lock-line wpmem_loginout" href="' . wpmem_login_url() . '">Se déconnecter</a></li>';
                                }
                            ?>
                            <li>
                                <button class="fr-btn fr-fi-theme-fill fr-link--icon-left" aria-controls="fr-theme-modal" data-fr-opened="false">Paramètres d'affichage</button>
                            </li>
                            
                        </ul>
                    </div>
                    <?php get_search_form(); ?>
                </div>
            </div>
        </div>
    </div>
    <div class="fr-header__menu fr-modal" id="modal-870" aria-labelledby="fr-btn-menu-mobile-3">
        <div class="fr-container">
            <button class="fr-btn--close fr-btn" aria-controls="modal-870">Fermer</button>
            <div class="fr-header__menu-links"></div>
            <nav class="fr-nav" id="header-navigation" role="navigation" aria-label="Menu principal">
                <?php
                //Si menu déroulant sélectionner alors :
                if(get_theme_mod("menu_website_config") == "defaut"){
                    wp_nav_menu(
                        array(
                            'theme_location' => 'main-menu',
                            'menu_id' => 'menu-principal',
                            'menu_class' => 'fr-nav__list',
                            'container' => '',
                            'container_class' => 'test',
                            'add_li_class' => 'fr-nav__item',
                            'add_a_class' => 'fr-nav__link',
                            'depth' => 0,
                            'walker' => new BENZ_Walker_Nav_Menu_ACC()
                        )
                    );
                }
                //Si megamenu sélectionner alors :
                elseif(get_theme_mod("menu_website_config") == "megamenu"){
                    wp_nav_menu(
                        array(
                            'theme_location' => 'main-menu',
                            'menu_id' => 'menu-principal',
                            'menu_class' => 'fr-nav__list',
                            'container' => '',
                            'container_class' => 'test',
                            'add_li_class' => 'fr-nav__item',
                            'depth' => 0,
                            'walker' => new BENZ_Walker_Nav_MegaMenu_ACC()
                        )
                    );
                }
                ?>
            </nav>
        </div>
    </div>
</header>

<?php if (get_theme_mod("alerte_config")) : ?>
    <div class="fr-notice fr-notice--info">
        <div class="fr-container">
            <div class="fr-notice__body">
                <p class="fr-notice__title">
                    <?php echo get_theme_mod('alerte_config'); ?>
                </p>
                <button class="fr-btn--close fr-btn" title="Masquer le message" onclick="const notice = this.parentNode.parentNode.parentNode; notice.parentNode.removeChild(notice)">
                Masquer le message
            </button>
            </div>
        </div>
    </div>
<?php endif; ?>

<dialog id="fr-theme-modal" class="fr-modal" role="dialog" aria-labelledby="fr-theme-modal-title">
    <div class="fr-container fr-container--fluid fr-container-md">
        <div class="fr-grid-row fr-grid-row--center">
            <div class="fr-col-12 fr-col-md-6 fr-col-lg-4">
                <div class="fr-modal__body">
                    <div class="fr-modal__header">
                        <button class="fr-btn--close fr-btn" aria-controls="fr-theme-modal">Fermer</button>
                    </div>
                    <div class="fr-modal__content">
                        <h1 id="fr-theme-modal-title" class="fr-modal__title">
                            Paramètres d’affichage
                        </h1>
                        <div id="fr-display" class="fr-form-group fr-display">
                            <div class="fr-form-group">
                                <fieldset class="fr-fieldset">
                                    <legend class="fr-fieldset__legend fr-text--regular" id='-legend'>
                                        Choisissez un thème pour personnaliser l’apparence du site.
                                    </legend>
                                    <div class="fr-fieldset__content">
                                        <div class="fr-radio-group fr-radio-rich">
                                            <input value="light" type="radio" id="fr-radios-theme-light" name="fr-radios-theme">
                                            <label class="fr-label" for="fr-radios-theme-light">Thème clair
                                            </label>
                                            <div class="fr-radio-rich__img" data-fr-inject-svg>
                                                <img src="/wp-content/themes/wp-theme-etab/assets/css/artwork/light.svg" alt="" />
                                                <!-- L’alternative de l’image (attribut alt) doit rester vide car l’image est illustrative et ne doit pas être restituée aux technologies d’assistance -->
                                            </div>
                                        </div>
                                        <div class="fr-radio-group fr-radio-rich">
                                            <input value="dark" type="radio" id="fr-radios-theme-dark" name="fr-radios-theme">
                                            <label class="fr-label" for="fr-radios-theme-dark">Thème sombre
                                            </label>
                                            <div class="fr-radio-rich__img" data-fr-inject-svg>
                                                <img src="/wp-content/themes/wp-theme-etab/assets/css/artwork/dark.svg" alt="" />
                                                <!-- L’alternative de l’image (attribut alt) doit rester vide car l’image est illustrative et ne doit pas être restituée aux technologies d’assistance -->
                                            </div>
                                        </div>
                                        <div class="fr-radio-group fr-radio-rich">
                                            <input value="system" type="radio" id="fr-radios-theme-system" name="fr-radios-theme">
                                            <label class="fr-label" for="fr-radios-theme-system">Système
                                                <span class="fr-hint-text">Utilise les paramètres système.</span>
                                            </label>
                                            <div class="fr-radio-rich__img" data-fr-inject-svg>
                                                <img src="/wp-content/themes/wp-theme-etab/assets/css/artwork/system.svg" alt="" />
                                                <!-- L’alternative de l’image (attribut alt) doit rester vide car l’image est illustrative et ne doit pas être restituée aux technologies d’assistance -->
                                            </div>
                                        </div>
                                    </div>
                                </fieldset>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</dialog>
<?php
wp_footer();
?>