<?php
/**
 * The main template file.
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * 
 * @since 1.0.0
 */

 ?>

<?php get_header(); ?>

<div id='page-content' class="fr-container">
	<div class="fr-grid-row fr-grid-row--gutters">
		<div class="fr-col-xl-12 fr-col-lg-12 fr-col-md-12 fr-col-sm-12 fr-col-12">

            <?php
            if ( have_posts() ) {

                // Load posts loop.
                while ( have_posts() ) {
                    the_post();

                    get_template_part( 'page-templates/content/content', get_theme_mod( 'display_excerpt_or_full_post', 'excerpt' ) );
                }


            }
            ?>
        </div>
    </div>
</div>

<?php get_footer(); ?>

